メインコンテンツへスキップ
GET
/
monitor
モニターを一覧表示
curl --request GET \
  --url https://api.firecrawl.dev/v2/monitor \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "estimatedCreditsPerMonth": 123,
      "goal": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "judgeEnabled": true,
      "lastCheckSummary": {
        "changed": 123,
        "error": 123,
        "new": 123,
        "removed": 123,
        "same": 123,
        "totalPages": 123
      },
      "lastRunAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "nextRunAt": "2023-11-07T05:31:56Z",
      "notification": {
        "email": {
          "enabled": false,
          "includeDiffs": false,
          "recipients": [
            "jsmith@example.com"
          ]
        }
      },
      "retentionDays": 123,
      "schedule": {
        "cron": "<string>",
        "timezone": "<string>"
      },
      "targets": [
        {
          "urls": [
            "<string>"
          ],
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "scrapeOptions": {
            "actions": [
              {
                "milliseconds": 2
              }
            ],
            "blockAds": true,
            "excludeTags": [
              "<string>"
            ],
            "formats": [
              "markdown"
            ],
            "headers": {},
            "includeTags": [
              "<string>"
            ],
            "location": {
              "country": "US",
              "languages": [
                "en-US"
              ]
            },
            "lockdown": false,
            "maxAge": 172800000,
            "minAge": 123,
            "mobile": false,
            "onlyCleanContent": false,
            "onlyMainContent": true,
            "parsers": [
              "pdf"
            ],
            "profile": {
              "name": "<string>",
              "saveChanges": true
            },
            "proxy": "auto",
            "removeBase64Images": true,
            "skipTlsVerification": true,
            "storeInCache": true,
            "timeout": 60000,
            "waitFor": 0
          }
        }
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "webhook": {
        "url": "<string>",
        "events": [],
        "headers": {},
        "metadata": {}
      }
    }
  ],
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

limit
integer
デフォルト:25
必須範囲: 1 <= x <= 100
offset
integer
デフォルト:0
必須範囲: x >= 0

レスポンス

200 - application/json

モニターの一覧

data
object[]
success
boolean